Name: wcstools
Version: 3.7.0
Release: 7%{?dist}
Summary: Software utilities to display and manipulate the WCS of a FITS image

Group: Applications/Engineering
License: GPLv2+
URL: http://tdc-www.harvard.edu/wcstools
Source0: http://tdc-www.harvard.edu/software/wcstools/%{name}-%{version}.tar.gz
Patch0: wcstools3-shared.patch
Patch1: wcstools3-codewarn.patch
Patch2: wcstools3-bug232413.patch
Buildroot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
Wcstools is a set of software utilities, written in C, which create,
display and manipulate the world coordinate system of a FITS or IRAF
image, using specific keywords in the image header which relate pixel
position within the image to position on the sky.  Auxillary programs
search star catalogs and manipulate images.

%package libs
Summary: Wcstools shared library 
Group: System Environment/Libraries
License: LGPLv2+
Obsoletes: libwcs < 3.7.0-4

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description libs
Shared library necessary to run wcstools and programs based on libwcs.

%package devel
Summary: Libraries, includes, etc. used to develop an application with wcstools
Group: Development/Libraries
License: LGPLv2+
Requires: %{name}-libs = %{version}-%{release}
Obsoletes: libwcs-devel < 3.7.0-4
%description devel
This are the files needed to develop an application using wcstools.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__make} CC="%{__cc}" CFLAGS="%{optflags} -fPIC" all

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_libdir}
%{__mkdir_p} %{buildroot}%{_bindir}
%{__mkdir_p} %{buildroot}%{_includedir}/wcs
%{__mkdir_p} %{buildroot}%{_mandir}/man1
%{__install} -p bin/* %{buildroot}%{_bindir}
%{__cp} -a libwcs/*.so* %{buildroot}%{_libdir}
%{__install} -p -m 644 libwcs/*.h %{buildroot}%{_includedir}/wcs
%{__install} -p -m 644 Man/man1/* %{buildroot}%{_mandir}/man1

%clean
%{__rm} -fr %{buildroot}

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%doc NEWS COPYING Readme Programs
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*

%files libs
%defattr(-,root,root)
%doc libwcs/COPYING
%{_libdir}/*.so.*

%files devel
%doc libwcs/COPYING libwcs/NEWS
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/wcs


%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 19 2009 Sergio Pascual <sergiopr at fedoraproject.org> 3.7.0-6
- Reverting soname change

* Sat Feb 14 2009 Sergio Pascual <sergiopr at fedoraproject.org> 3.7.0-5
- Libray and headers renamed as wcstools

* Wed Oct 01 2008 Sergio Pascual <sergiopr at fedoraproject.org> 3.7.0-4
- Fails to build from source bz#465061

* Wed Oct 01 2008 Sergio Pascual <sergiopr at fedoraproject.org> 3.7.0-3
- Fails to build from source bz#465061

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 3.7.0-2
- Autorebuild for GCC 4.3

* Wed Sep 05 2007 Sergio Pascual <spr at astrax.fis.ucm.es> 3.7.0-1
- New upstream source 3.7.0

* Mon Aug 27 2007 Sergio Pascual <spr at astrax.fis.ucm.es> 3.6.8-2.1
- Rebuild for Fedora 8 to get the build-id

* Tue Mar 20 2007 Sergio Pascual <spr@astrax.fis.ucm.es> 3.6.8-2
- Fix for bug #232413

* Mon Mar 19 2007 Sergio Pascual <spr@astrax.fis.ucm.es> 3.6.8-1
- New upstream source 3.6.8
- Added pacthes to remove warnings during the compilation

* Mon Feb 26 2007 Sergio Pascual <spr@astrax.fis.ucm.es> 3.6.7-1
- New upstream source 3.6.7

* Wed Nov 15 2006 Sergio Pascual <spr@astrax.fis.ucm.es> 3.6.6-1
- New upstream source 3.6.6

* Tue Oct 10 2006 Sergio Pascual <spr@astrax.fis.ucm.es> 3.6.6-0.1.beta
- New upstream source 3.6.6beta

* Mon Sep 4 2006 Sergio Pascual <spr@astrax.fis.ucm.es> 3.6.5-3
- Rebuild.

* Wed Aug 30 2006 Sergio Pascual <spr@astrax.fis.ucm.es> 3.6.5-2
- Corrected bug in edhead (patch2) (bug #204642).

* Fri Jun 21 2006 Sergio Pascual <spr@astrax.fis.ucm.es> 3.6.5-1
- New upstream source 3.6.5

* Tue Jun 13 2006 Sergio Pascual <spr@astrax.fis.ucm.es> 3.6.4-3
- Patched overflows in catutil.c and getdate.c
- Patched incompatible pointer in binread.c

* Mon Jun 12 2006 Sergio Pascual <spr@astrax.fis.ucm.es> 3.6.4-2
- Patched edhead.
- libwcs provides libwcs.so.3
- libwcs into System Environment/Libraries group
- Makefile uses ${RPM_OPT_FLAGS} and $(CC)

* Fri Jun 09 2006 Sergio Pascual <spr@astrax.fis.ucm.es> 3.6.4-1
- Removed not needed ldconfig in wcstools and libwcs-devel.

* Wed Mar 08 2006 Sergio Pascual <spr@astrax.fis.ucm.es> 3.6.3-1
- Initial RPM file.
